# yuck: ugly python stuff borrowed from rdiff-backup spec file.
%define PYTHON_NAME %((rpm -q --quiet python2 && echo python2) || echo python)
%define PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print sys.version[:3],')
%define NEXT_PYTHON_VERSION %(%{PYTHON_NAME} -c 'import sys; print "%d.%d" % (sys.version_info[0], sys.version_info[1]+1),')

Summary: Activity update control panel for Sugar.
Name: sugar-update-control
Version: 0.11
Release: 1
License: GPL
Group: System Environment/Base
URL: http://dev.laptop.org/git?p=users/cscott/sugar-update-control
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{PYTHON_NAME} >= %{PYTHON_VERSION}, %{PYTHON_NAME} < %{NEXT_PYTHON_VERSION}, olpc-update >= 2.13, sugar >= 0.81.8
BuildPrereq: %{PYTHON_NAME}-devel >= 2.5
BuildArch: noarch

%description
This package contains a control panel for the Sugar graphical environment
which locates and installs activity updates.

%prep
%setup

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
python2.5 setup.py install --root=$RPM_BUILD_ROOT
# avoid conflicts
rm $RPM_BUILD_ROOT/usr/lib/python2.5/site-packages/{bitfrost,bitfrost/update,bitfrost/util}/__init__.py*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING

/usr/lib/python2.5/site-packages
/usr/share/sugar

%changelog
* Wed Sep 02 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream: 0.11
- Fix egregious typos in v0.10.

* Tue Sep 02 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream: 0.10
- Trac #8149: don't let malformed activity bundles kill the updater.
- Allow groups to provide newer versions of the activities then exist
  at the activities update_url, to make it easier to create a group
  for testing 'prerelease' versions.

* Wed Aug 20 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream: 0.9
- Trac #7979: fix downloads via squid-using school server.
  Workaround for python issue 3566: http://bugs.python.org/issue3566
- Improve support for cancelling incomplete, hung, or slow downloads.
- Trac #7865: stale "download size" label contents.
- Don't use partial reads unnecessarily to download activity bundles.
- Better installation feedback for delays caused by trac #7733.

* Wed Aug 13 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream: 0.8
- Catch 404 when trying to determine the size of a prospective update.
- Catch exception caused by malformed activity bundle.
- Use update_url in bundle's activity.info if present.
- Inhibit suspend during refresh and download/install.
- Trac #7622: preserve favorites status across upgrade.

* Tue Aug 07 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream: 0.7.

* Wed Aug 06 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream: 0.6.
- Update to match upstream patch for dlo trac #7495.
- Don't download large activity bundles to memory.

* Thu Jul 31 2008 C. Scott Ananian <cscott@laptop.org>
- New upstream, with UI improvements.

* Fri Jul 11 2008 C. Scott Ananian <cscott@laptop.org>
- Initial packaging.
